Skip to content
Permalink
Browse files

Update pip before starting the Travis tests

Signed-off-by: Jeremy Cline <jeremy@jcline.org>
  • Loading branch information...
jeremycline committed Oct 27, 2016
1 parent 439383a commit bd452112ff606899170b5347f33fe52250a4ba01
Showing with 13 additions and 2 deletions.
  1. +2 −2 .travis.yml
  2. +11 −0 test-requirements.txt
@@ -8,9 +8,9 @@ python:

# Twisted dropped Python 2.6 support, so install a compatible version on 2.6
install:
- if [[ $TRAVIS_PYTHON_VERSION == 2.6 ]]; then pip install Twisted==12.2; fi
- pip install --upgrade pip setuptools
- pip install -r test-requirements.txt
- pip install -e .[commands,consumers]
- pip install nose
script: python setup.py nosetests
notifications:
email: false
@@ -0,0 +1,11 @@
nose
moksha.hub
pygments
psutil
sqlalchemy
mock; python_version <= '2.7'
argparse; python_version <= '2.6'
ordereddict; python_version <= '2.6'
logutils; python_version <= '2.6'
unittest2; python_version <= '2.6'
Twisted==12.2; python_version <= '2.6'

0 comments on commit bd45211

Please sign in to comment.
You can’t perform that action at this time.